Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFMatrix Class Reference
[Field classes]

The SoSFMatrix class is a container for an SbMatrix. More...

`#include <Inventor/fields/SoSFMatrix.h>`

Inheritance diagram for SoSFMatrix:

List of all members.

## Public Methods
void | setValue (const float a11, const float a12, const float a13, const float a14, const float a21, const float a22, const float a23, const float a24, const float a31, const float a32, const float a33, const float a34, const float a41, const float a42, const float a43, const float a44)
## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFMatrix class is a container for an SbMatrix.

This field is used where nodes, engines or other field containers needs to store a 4x4 matrix.

Fields of this type stores their value to file as a set of 16 floating point values, written from the matrix in row-major mode.

See also:
  SoMFMatrix

## Member Function Documentation

void SoSFMatrix::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFMatrix::setValue | ( | const float | a11,
|  | const float | a12,
|  | const float | a13,
|  | const float | a14,
|  | const float | a21,
|  | const float | a22,
|  | const float | a23,
|  | const float | a24,
|  | const float | a31,
|  | const float | a32,
|  | const float | a33,
|  | const float | a34,
|  | const float | a41,
|  | const float | a42,
|  | const float | a43,
|  | const float | a44
| ) |

| Set matrix elements.

The documentation for this class was generated from the following files:

- SoSFMatrix.h
- SoSFMatrix.cpp